import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (a, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, o) : t, p = a.length - 1, i; p >= 0; p--)
    (i = a[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && u(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--pauseLarge", this.class = "c-pieIcon c-pieIcon--pauseLarge", this.name = "IconPauseLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--pauseLarge"><path d="M11 9h1.75v14H11V9Zm8.25 0H21v14h-1.75V9Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-pause-large")
], s);
export {
  s as IconPauseLarge
};
